VirtualBox

Vagrant comes with support out of the box for VirtualBox, a free, cross-platform consumer virtualization product.

The VirtualBox provider is compatible with VirtualBox versions 4.0.x, 4.1.x, 4.2.x, and 4.3.x. Any other version is unsupported and the provider will display an error message.

VirtualBox must be installed on its own prior to using the provider, or the provider will display an error message asking you to install it. VirtualBox can be installed by downloading a package or installer for your operating system and using standard procedures to install that package.

Use the navigation to the left to find a specific VirtualBox topic to read more about.